## xautoresize 0.0~git20260115.c3a2899

=== Makefile ===
prefix ?= /usr/local

PROG = xautoresize
OBJS = $(PROG).o

CFLAGS += $(shell pkgconf --cflags glib-2.0)
LDFLAGS += $(shell pkgconf --libs glib-2.0) -lxcb -lxcb-randr

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $^ -o $@ $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)/bin
	install -m 0755 $(PROG) $(DESTDIR)$(prefix)/bin/
	install -m 0755 $(PROG)-launcher $(DESTDIR)$(prefix)/bin/
	install -d $(DESTDIR)/etc/xdg/autostart
	install -m 0644 $(PROG).desktop $(DESTDIR)/etc/xdg/autostart/

clean:
	$(RM) $(PROG)

.PHONY: all clean install

=== debian/changelog ===
xautoresize (0.0~git20260115.c3a2899-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 15 Jan 2026 11:01:51 +0700

=== debian/control ===
Source: xautoresize
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Arnaud Rebillout <arnaudr@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 libxcb1-dev,
 libxcb-randr0-dev,
 pkgconf,
Standards-Version: 4.7.3
Homepage: https://gitlab.com/arnaudr/xautoresize
Vcs-Browser: https://gitlab.com/kalilinux/packages/xautoresize
Vcs-Git: https://gitlab.com/kalilinux/packages/zautoresize.git

Package: xautoresize
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: automatically resize the screen when the VM window is resized
 Useful for X11 desktop like Xfce, and for Virtualbox and VMware that used to
 rely on xf86-video-firmware [1] for that, however this no longer works with
 mesa > 25.1. xautoresize is a workaround.
 .
 [1] https://gitlab.freedesktop.org/xorg/driver/xf86-video-vmware/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export prefix = /usr

%:
	dh $@

## xautoresize 0.0~git20260204.1f59913

=== debian/changelog ===
xautoresize (0.0~git20260204.1f59913-0kali1) kali-dev; urgency=medium

  * Add dependency on procps
  * New upstream version 0.0~git20260204.1f59913
  * Drop 'Priority: optional', no longer needed

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 04 Feb 2026 11:38:30 +0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xautoresize
 Section: utils
-Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Arnaud Rebillout <arnaudr@kali.org>
 Build-Depends:
@@ -12,11 +11,12 @@
 Standards-Version: 4.7.3
 Homepage: https://gitlab.com/arnaudr/xautoresize
 Vcs-Browser: https://gitlab.com/kalilinux/packages/xautoresize
-Vcs-Git: https://gitlab.com/kalilinux/packages/zautoresize.git
+Vcs-Git: https://gitlab.com/kalilinux/packages/xautoresize.git
 
 Package: xautoresize
 Architecture: any
 Depends:
+ procps,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: automatically resize the screen when the VM window is resized

=== debian/watch ===
Version: 5

Source: https://gitlab.com/arnaudr/xautoresize
Mode: git
Matching-Pattern: HEAD
